<?php 
ob_start();
session_start();
include "../config/config.php";
$allPermissions = $_SESSION['permission'];

$requestData= $_REQUEST;


/*Fetch Database column Details*/
        $columns = array( 
            0 =>'id', 
            1 =>'id', 
            2 =>'id',
            3 =>'id',
            4 =>'id',
            5 =>'id'
           
        );
        
$conditions="";

$status = $_POST['status'];

if($status!=""){
    $conditions.=" and e.status=".$status;
}


        
/*Fetch All Data Start*/        
        
    	$statement = $pdo->prepare("SELECT e.*,
    	(SELECT COALESCE(SUM(amount),0) FROM tbl_expenses WHERE tbl_expenses.category=e.id) as total_exp_amount 
    	FROM `tbl_exp_category` e 
    	WHERE e.id!=0 ".$conditions." ORDER BY e.id DESC");
		$statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);
		$totalData = $statement->rowCount();
        $totalFiltered = $totalData;
/*Fetch All Data End*/       
        
/*Fetch Filter Data Start*/    
         $sql="SELECT e.*,
    	(SELECT COALESCE(SUM(amount),0) FROM tbl_expenses WHERE tbl_expenses.category=e.id) as total_exp_amount 
    	FROM `tbl_exp_category` e  
    	where e.id!=0 ".$conditions;
         
        if( !empty($_REQUEST['search']) ) 
        {   
        	$sql.=" AND ( e.name LIKE '%".$_REQUEST['search']."%' ) "; 
        }
        
/*Fetch Filter Data End*/       
        


         $sql.=" ORDER BY e.id DESC  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
       	
        $statement = $pdo->prepare($sql);
        $statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);

$data = array();
$i=1;
foreach( $query as $row ) {  // preparing an array
	$nestedData=array(); 
	$action= "<div class='text-center'><div class='btn-group'>";
	 
	                    $action.=" <a style='padding: 6px;margin-right: 3px;' href='modal/exp-category-update.php?id=".$row["id"]."' data-toggle='ajax-modal' title='Update Details' class='tip btn btn-warning btn-xs'>
		                    <i class='fa fa-edit'></i>
		                </a>";
		                
	if($row["status"]==1){	                
		                $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Category' onClick='delete_Details(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
	}
		                
	$action.="</div></div>";
	
	
	$nestedData[] = $action;	
	$nestedData[] = "<div class='text-center'>".$i."</div>";
	$nestedData[] = "<div class='text-center'>".$row["name"]."</div>";
	$nestedData[] = "<div class='text-center'><span class='btn btn-info btn-xs amount_span'><i class='fa fa-inr'></i> ".number_format($row["total_exp_amount"],2)."</span></div>";
	
	if($row["status"]==1){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-success btn-xs'><i class='fa fa-eye'></i> Active</span></div>";
	}else if($row["status"]==0){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-danger btn-xs' onclick='DynamicActive(".$row["id"].")'><i class='fa fa-eye-slash'></i> In-Active</span></div>";
	}
        	
        	
	$data[] = $nestedData;
	$i++;
	

}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),  
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data); 




?>